openPilotLog

Public Member Functions | List of all members
experimental::APilotEntry Struct Reference
Inheritance diagram for experimental::APilotEntry:

## Public Member Functions
| APilotEntry (const APilotEntry &pe)=default
APilotEntry & | operator= (const APilotEntry &pe)=default
| APilotEntry (int row_id)
| APilotEntry (TableData table_data)
const QString | name ()
Public Member Functions inherited from experimental::AEntry
| AEntry (const AEntry &)=default
AEntry & | operator= (const AEntry &)=default
| AEntry (DataPosition position_)
| AEntry (TableData table_data)
| AEntry (DataPosition position_, TableData table_data)
void | setData (TableData table_data)
void | setPosition (DataPosition position_)
const DataPosition & | getPosition ()
const TableData & | getData ()

## Additional Inherited Members
Public Attributes inherited from experimental::AEntry
TableData | tableData
Protected Attributes inherited from experimental::AEntry
DataPosition | position

The documentation for this struct was generated from the following files:

- src/experimental/apilotentry.h
- src/experimental/apilotentry.cpp